## org.apache.batik.svggen
Class SVGGraphics2DRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.svggen.SVGGraphics2DRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class SVGGraphics2DRuntimeException
extends java.lang.RuntimeException

Thrown when an SVG Generator method receives an illegal argument in parameter.

See Also:
  Serialized Form

Constructor Summary
`SVGGraphics2DRuntimeException(java.lang.Exception ex)` Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.
`SVGGraphics2DRuntimeException(java.lang.String s)` Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.
`SVGGraphics2DRuntimeException(java.lang.String s, java.lang.Exception ex)` Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.

Method Summary
`java.lang.Exception` `getException()` Returns the original enclosed exception or null if any.
`java.lang.String` `getMessage()` Returns the message of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGGraphics2DRuntimeException

    public SVGGraphics2DRuntimeException(java.lang.String s)

  Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.

Parameters:
  `s` - the detail message of this exception

### SVGGraphics2DRuntimeException

    public SVGGraphics2DRuntimeException(java.lang.Exception ex)

  Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.

Parameters:
  `ex` - the enclosed exception

### SVGGraphics2DRuntimeException

    public SVGGraphics2DRuntimeException(java.lang.String s,
                                         java.lang.Exception ex)

  Constructs a new `SVGGraphics2DRuntimeException` with the specified detail message.

Parameters:
  `s` - the detail message of this exception
  `ex` - the original exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message of this exception. If an error message has been specified, returns that one. Otherwise, return the error message of enclosed exception or null if any.

### getException

    public java.lang.Exception getException()

  Returns the original enclosed exception or null if any.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.